(***********************************************************************)
(*                                                                     *)
(*                           Objective Caml                            *)
(*                                                                     *)
(*            Xavier Leroy, projet Cristal, INRIA Rocquencourt         *)
(*                                                                     *)
(*  Copyright 1996 Institut National de Recherche en Informatique et   *)
(*  Automatique.  Distributed only by permission.                      *)
(*                                                                     *)
(***********************************************************************)

(* $Id: asmgen.mli,v 1.1 1999/09/30 13:02:55 lefessan Exp $ *)

(* From lambda to assembly code *)

val compile_implementation: string -> int -> Lambda.lambda -> unit
val compile_phrase: Cmm.phrase -> unit

type error = Assembler_error of string
exception Error of error
val report_error: error -> unit


