(***********************************************************************)
(*                                                                     *)
(*                           Objective Caml                            *)
(*                                                                     *)
(*            Xavier Leroy, projet Cristal, INRIA Rocquencourt         *)
(*                                                                     *)
(*  Copyright 1996 Institut National de Recherche en Informatique et   *)
(*  Automatique.  Distributed only by permission.                      *)
(*                                                                     *)
(***********************************************************************)

(* $Id: bytegen.mli,v 1.1 1999/09/30 13:04:39 lefessan Exp $ *)

(* Generation of bytecode from lambda terms *)

open Lambda
open Instruct

val empty_env:compilation_env
val compile_implementation: string -> lambda -> instruction list
val compile_phrase: compilation_env -> lambda -> 
  instruction list * instruction list
