type 'a buffer = { get : unit -> 'a ; put : 'a -> unit }
let def new_fifo () =
  let def 
     put i | inN!()   = inQ [i] | reply
  or put i | inQ! is  = inQ (i::is) | reply
  or get() | outQ! os = reply outX os
  or get() | outN!() | inQ! is = 
    inN () | reply outX (List.rev is)
  or outX os = 
    reply List.hd os | let os' = List.tl os in 
    { if os' = [] then outN() else outQ os' } 
  in 
  inN() | outN() | reply {get=get;put=put}  ;;

let f = new_fifo() in
spawn { for i = 1 to 9 do f.put i done; };
spawn { for i = 1 to 5 do print_int (f.get()) done; }  ;;
