(***********************************************************************)
(*                                                                     *)
(*                           xlib for Ocaml                            *)
(*                                                                     *)
(*       Fabrice Le Fessant, projet Para/SOR, INRIA Rocquencourt       *)
(*                                                                     *)
(*  Copyright 1998 Institut National de Recherche en Informatique et   *)
(*  Automatique.  Distributed only by permission.                      *)
(*                                                                     *)
(***********************************************************************)

(* dessiner un echiquier *)

open Xtypes
open Xlib
open X
open Xutils

(* quelques valeurs utiles *)
let dpy = openDisplay(Sys.getenv "DISPLAY");;
let black= defaultBlack dpy;;
let white= defaultWhite dpy;;
let fixed= openFont dpy "fixed";;
let root = defaultRoot dpy;;



let e = Xutils.selectInput dpy root [SubstructureRedirectMask]
in
  X.getInputFocus dpy;
  try
    Jeton.wait e;
    print_string "no other WM"
  with
      XError _ -> print_string "Un WM est present"

let _ = print_newline ()
