val select_yes_or_no : Efuns.frame -> string -> (bool -> 'a) -> Efuns.frame
val display_completions : Efuns.frame -> string list -> unit
val remove_completions : Efuns.frame -> unit
val set_history : Efuns.map -> string ref -> string list ref -> unit
val incremental_mini_buffer :
  Efuns.frame ->
  Efuns.map ->
  string ->
  string ->
  (Efuns.frame -> string -> 'a) ->
  (Efuns.frame -> string -> 'b) -> Efuns.frame
val select :
  Efuns.frame ->
  string ->
  string list ref ->
  string ->
  (string -> string list) -> (string -> string) -> (string -> 'a) -> unit
val file_hist : string list ref
val dont_complete : string list ref
val dont_complete_regexps : (string list * Str2.regexp) ref
val dont_complete_regexp : unit -> Str2.regexp
val avoid_completion : string -> bool
val is_userdir : string -> bool
val complete_filename :
  Efuns.frame -> (string -> bool) -> string -> string list
val select_file :
  Efuns.frame ->
  string -> string list ref -> string -> (string -> 'a) -> unit
val select_filename : Efuns.frame -> string -> (string -> 'a) -> unit
val next_default : string ref
val set_previous_frame : Efuns.frame -> unit
val get_previous_frame : unit -> string
val buf_hist : string list ref
val select_buffer : Efuns.frame -> string -> string -> (string -> 'a) -> unit
val select_string :
  Efuns.frame ->
  string -> string list ref -> string -> (string -> 'a) -> unit
val simple_select : Efuns.frame -> string -> (string -> 'a) -> unit

