(***********************************************************************)
(*                                                                     *)
(*                           xlib for Ocaml                            *)
(*                                                                     *)
(*       Fabrice Le Fessant, projet Para/SOR, INRIA Rocquencourt       *)
(*                                                                     *)
(*  Copyright 1998 Institut National de Recherche en Informatique et   *)
(*  Automatique.  Distributed only by permission.                      *)
(*                                                                     *)
(***********************************************************************)

val anyButton : int
val copyVisualFromParent : int
val noPixmap : int
val pixmapParentRelative : int
val copyPixmapFromParent : int
val copyColormapFromParent : int
val noCursor : int
val copyDepthFromParent : int
val unmapGravity : Xtypes.bitGravity
val noOwner : int
val noConfineTo : int
val anyKey : int
val pointerRoot : int
val noFocus : int
val anyModifier : int
val shiftMask : int
val lockMask : int
val controlMask : int
val mod1Mask : int
val mod2Mask : int
val mod3Mask : int
val mod4Mask : int
val mod5Mask : int
val button1Mask : int
val button2Mask : int
val button3Mask : int
val button4Mask : int
val button5Mask : int
val none : int
val parentRelative : int
val copyFromParent : int
val pointerWindow : int
val inputFocus : int
val anyPropertyType : int
val anyButton : int
val allTemporary : int
val currentTime : int
val noSymbol : int
val xerrors : string array
val xopcodes : string array

