(***********************************************************************)
(*                                                                     *)
(*                           Objective Caml                            *)
(*                                                                     *)
(*            Xavier Leroy, projet Cristal, INRIA Rocquencourt         *)
(*                                                                     *)
(*  Copyright 1996 Institut National de Recherche en Informatique et   *)
(*  Automatique.  Distributed only by permission.                      *)
(*                                                                     *)
(***********************************************************************)

(* $Id: parmatch.mli,v 1.1 1999/09/30 13:10:29 lefessan Exp $ *)

(* Detection of partial matches and unused match cases. *)

open Typedtree

val check_partial: Location.t -> (pattern * expression) list -> bool
val check_unused: (pattern * expression) list -> unit
